메인 콘텐츠로 건너뛰기
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
liquiditySnapshots
토큰 - 유동성 스냅샷
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/liquiditySnapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "calculatedAt": 1705312800000,
      "maxLiquidityInNative": "5000.123",
      "maxLiquidityInUsd": "1000000.45",
      "maxLiquidityPoolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "poolCount": 5,
      "priceNative": "0.005",
      "priceUsd": "1.0001",
      "snapshotTime": 1705312800000,
      "totalLiquidityInNative": "10000.246",
      "totalLiquidityInUsd": "2000000.90"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 Supported blockchain chains

사용 가능한 옵션:
sol,
eth,
bsc
tokenAddress
string
필수

토큰 주소

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향 (next 또는 prev) Pagination direction

사용 가능한 옵션:
next,
prev
time
integer<int64>

유동성 스냅샷 조회를 위한 대상 Unix 타임스탬프

응답

200 - application/json

유동성 스냅샷 조회

Generic pagination response

data
object[]
필수

Page data

endCursor
string | null

Cursor for the end of current page

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

예시:

false

hasPrev
boolean

Whether there is a previous page

예시:

false

startCursor
string | null

Cursor for the start of current page

예시:

"eyJpZCI6InN0YXJ0In0="